clear all
set more off
set maxvar 10000

*Check if filepaths have been established using init.do
if "${gsdData}"=="" {
	display as error "Please run 00-init.do first."
	error 1
}
**Download the data (The passwords and server details are confidential and 
*therefore not displayed in this do file.)
local download=0
if `download'==1 {
	do "${gsdDo}/api_download.do"
	*Somalia
	api_download wberssom, quid(...) quv(...) username(...) password(...) directory("${gsdDataRaw}/Somalia") curl("${gsdBin}")
	*South Sudan
	*v7
	api_download wbersssd, quid(...) quv(...) username(...) password(...) directory("${gsdDataRaw}/SouthSudan/v7") curl("${gsdBin}")
	*v9 -- added more enumerators to speed up data collection.
	api_download wbersssd, quid(...) quv(...) username(...) password(...) directory("${gsdDataRaw}/SouthSudan/v9") curl("${gsdBin}")
	*Yemen
	*v10
	api_download wbersyem, quid(...) quv(...) username(...) password(...) directory("${gsdDataRaw}/Yemen/v10") curl("${gsdBin}")
	*v12 -- added more enumerators to speed up data collection.
	api_download wbersyem, quid(...) quv(...) username(...) password(...) directory("${gsdDataRaw}/Yemen/v12") curl("${gsdBin}")
}

* Prepare raw data and append it into 1 dataset for Somalia, South Sudan, Yemen
*Note: the 0-level do files process raw data and are not shared for confidentiality.
*Somalia
do "${gsdDo}/0-1-prepare-somalia.do"
*South Sudan
do "${gsdDo}/0-1-prepare-southsudan.do"
*Yemen
do "${gsdDo}/0-1-prepare-yemen.do"
*Append
do "${gsdDo}/0-2-compile.do"
*Daily Checks
do "${gsdDo}/0-3-dailychecks.do"
*0-cleaning
do "${gsdDo}/0-4-cleaning.do"
*1-cleaning
do "${gsdDo}/1-1-cleaning.do"



