*Rapid Emergency Response Survey
*This file initializes a working environment to carry out cleaning and analysis for the survey.

*Initialize work environment
global suser = c(username)

clear all
set more off
set maxvar 10000
set seed 23081980 
set sortseed 11041955

*1 - Define directory
* Input here your main working directory
local swdLocal "C:\User\.../RERS"

*2 - Define subdirectories
global gsdDo = "`swdLocal'/Do"
global gsdData = "`swdLocal'/Data"
global gsdTemp = "`swdLocal'/Temp"
global gsdOutput = "`swdLocal'/Output"

*3 - Create the necessary subfolder structure
capture confirm file "`swdLocal'/Data/nul"
scalar define n_data=_rc
capture confirm file "`swdLocal'/Temp/nul"
scalar define n_temp=_rc
capture confirm file "`swdLocal'/Output/nul"
scalar define n_output=_rc
scalar define check=n_data+n_temp+n_output
di check

if check==0 {
}
else {
	mkdir "${gsdData}"
	mkdir "${gsdData}/0-RawTemp"
	mkdir "${gsdData}/0-RawOutput"
	mkdir "${gsdData}/1-CleanInput"
	mkdir "${gsdData}/1-CleanTemp"
	mkdir "${gsdData}/1-CleanOutput"
	mkdir "${gsdTemp}"
	mkdir "${gsdOutput}"
	mkdir "${gsdOutput}/DailyChecks"
}
*Install user-written commands
local command missings labmv tabout logout insheetjson distinct findname mdesc labmask
foreach x of local command {
	  cap which `x'
	  if _rc!=0 {
		 di "Installing `x'."
		ssc install `x'
	}
}
